- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Cgl-0.52.0/DyLP/src/Dylp/dy_vector.h File Reference

`#include <DylpConfig.h>`
`#include <ctype.h>`
`#include "dylib_std.h"`
`#include <math.h>`

Include dependency graph for dy_vector.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
union | fpunion_t
struct | pkcoeff_struct
struct | pkvec_struct
## Defines
#define | quiet_nan(zz_dummy_zz) (QNaNbits.fpdbl)
#define | HUGE_VAL (Infbits.fpdbl)
#define | finite DYLP_ISFINITE
#define | isnan DYLP_ISNAN
## Functions
pkvec_struct * | pkvec_new (int sze)
bool | pkvec_resize (pkvec_struct *pkvec, int sze)
void | pkvec_free (pkvec_struct *pkvec)
bool | pkvec_check (pkvec_struct *pkvec, const char *caller)
double | pkvec_2norm (pkvec_struct *vec)
double | exvec_1norm (double *vec, int len)
double | exvec_ssq (double *vec, int len)
double | exvec_2norm (double *vec, int len)
double | exvec_infnorm (double *vec, int len, int *p_jmax)
double | pkvec_dotexvec (pkvec_struct *pkvec, double *exvec)
## Variables
static fpunion_t QNaNbits | UNUSED
static fpunion_t SNaNbits | UNUSED
static fpunion_t Infbits | UNUSED

## Define Documentation

#define quiet_nan | ( | zz_dummy_zz |  | ) | (QNaNbits.fpdbl)

Definition at line 168 of file dy_vector.h.

#define HUGE_VAL (Infbits.fpdbl)

Definition at line 177 of file dy_vector.h.

#define finite DYLP_ISFINITE

Definition at line 195 of file dy_vector.h.

#define isnan DYLP_ISNAN

Definition at line 198 of file dy_vector.h.

## Function Documentation

pkvec_struct* pkvec_new | ( | int | sze | ) |

bool pkvec_resize | ( | pkvec_struct * | pkvec,
|  | int | sze |
| ) |  |  |

void pkvec_free | ( | pkvec_struct * | pkvec | ) |

bool pkvec_check | ( | pkvec_struct * | pkvec,
|  | const char * | caller |
| ) |  |  |

double pkvec_2norm | ( | pkvec_struct * | vec | ) |

double exvec_1norm | ( | double * | vec,
|  | int | len |
| ) |  |  |

double exvec_ssq | ( | double * | vec,
|  | int | len |
| ) |  |  |

double exvec_2norm | ( | double * | vec,
|  | int | len |
| ) |  |  |

double exvec_infnorm | ( | double * | vec,
|  | int | len,
|  | int * | p_jmax |
| ) |  |  |

double pkvec_dotexvec | ( | pkvec_struct * | pkvec,
|  | double * | exvec |
| ) |  |  |

## Variable Documentation

fpunion_t QNaNbits UNUSED`[static]`

Initial value:

     { { (unsigned char) '\376',
                                            (unsigned char) '\377',
                                            (unsigned char) '\377',
                                            (unsigned char) '\377',
                                           (unsigned char) '\377',
                                            (unsigned char) '\377',
                                            (unsigned char) '\377',
                                            (unsigned char) '\177' } }

Definition at line 137 of file dy_vector.h.

fpunion_t SNaNbits UNUSED`[static]`

Initial value:

     { { (unsigned char) '\001',
                                            (unsigned char) '\0',
                                            (unsigned char) '\0',
                                            (unsigned char) '\0',
                                            (unsigned char) '\0',
                                            (unsigned char) '\0',
                                            (unsigned char) '\360',
                                            (unsigned char) '\177' } }

Definition at line 145 of file dy_vector.h.

fpunion_t Infbits UNUSED`[static]`

Initial value:

     { { (unsigned char) '\0',
                                           (unsigned char) '\0',
                                           (unsigned char) '\0',
                                           (unsigned char) '\0',
                                           (unsigned char) '\0',
                                           (unsigned char) '\0',
                                           (unsigned char) '\360',
                                           (unsigned char) '\177' } }

Definition at line 153 of file dy_vector.h.